NNotifyy CRM

Objects

Update a company property

Update a single company property by company ID.

Overview

Use this endpoint to replace one property value on an existing company. Send value for scalar properties or values for multi-value properties. It requires public api oauth access token authentication and the crm.companies.write scope.

PATCH/api/crm/objects/companies/{companyId}

cURL

PATCH
bash
curl --request PATCH \  --url 'https://crm.notifyy.io/api/crm/objects/companies/55' \  --header 'Authorization: Bearer nfy_public_api_access_token' \  --header 'Content-Type: application/json' \  --data '{  "internal_name": "website",  "value": "https://notifyy.io"}'

Authorization

Public API OAuth access token

crm.companies.write

Sample Request Body

json
{  "internal_name": "website",  "value": "https://notifyy.io"}

Sample Response

json
{  "success": true,  "message": "Property updated successfully",  "data": null}

Status Codes

CodeDescription
200Property was updated.

Headers

AuthorizationstringRequired

Public API OAuth bearer token.

Example: Bearer nfy_public_api_access_token

Content-TypestringRequired

Request body media type.

Example: application/json

Path parameters

companyIdintegerRequired

Company ID.

Example: 55

Request body

internal_namestringRequired

Property internal name to update.

Example: website

valueanyOptional

Scalar property value.

Example: https://notifyy.io

valuesarrayOptional

Multi-value replacement.

Response fields

successboolean

Whether the request succeeded.

Example: true

messagestring

Human-readable result message.

Example: Property updated successfully

datanull

No response payload is returned for a successful property update.